#
# spec file for package python-pyqt-rpm-macros
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-pyqt-rpm-macros
Version:        0.1
Release:        4.3
Summary:        RPM macros for building PyQt packages
License:        WTFPL
URL:            https://en.opensuse.org/openSUSE:Packaging_PyQt_and_SIP
Source0:        macros.pyqt
Source1:        LICENSE
Requires:       fdupes
Requires:       python-rpm-macros
Recommends:     python3-sip-devel
Conflicts:      python3-pyqt-rpm-macros
Obsoletes:      python3-pyqt-rpm-macros
BuildArch:      noarch

%description
This package provides some macros for using SIP v[456] to build PyQt[56] packages

%prep
cp %{SOURCE1} .

%build

%install
mkdir -p %{buildroot}%{_rpmconfigdir}/macros.d/
install -m 644 %{SOURCE0} %{buildroot}%{_rpmconfigdir}/macros.d/

%files
%license LICENSE
%{_rpmconfigdir}/macros.d/macros.pyqt

%changelog
* Thu Jan  4 2024 Antonio Larrosa <alarrosa@suse.com>
- Add Conflict/Obsoletes with the python3-pyqt-rpm-macros package
  that was erroneously added to SLE15-SP4.
* Thu Sep  1 2022 Steve Kowalik <steven.kowalik@suse.com>
- Don't use python_module for Recommends.
* Fri Feb 26 2021 Ben Greiner <code@bnavigator.de>
- remove the runtime requirement on a specific sip-devel package.
  Let the package using the macros decide what they need.
* Fri Feb 19 2021 Ben Greiner <code@bnavigator.de>
- update to version 0.1
- Add PyQt6 support
- Add link to wiki in macros file
- Remove python-rpm-macros interpreter workaround. The
  inconsistency never made it into a released package.
* Wed Dec  2 2020 Benjamin Greiner <code@bnavigator.de>
- remove --debug flag for sip v5 builds. Mitigates boo#1179214
* Tue Nov 24 2020 Benjamin Greiner <code@bnavigator.de>
- Fix shebang replacement in pyqt_install_examples
  gh#openSUSE/python-rpm-macros#66
* Thu Nov  5 2020 Benjamin Greiner <code@bnavigator.de>
- update to version 0.0.3
  * Use wiki page as URL
* Fri Oct 23 2020 Benjamin Greiner <code@bnavigator.de>
- update to version 0.0.2
  * runtime requirement: fdupes
* Thu Sep  3 2020 Benjamin Greiner <code@bnavigator.de>
- initial version 0.0.1
